Bug 186187 - SCSI I/O errors when using mymusix usb mp3 player
SCSI I/O errors when using mymusix usb mp3 player
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 20:45 EST by Tom Georgoulias
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 13:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Georgoulias 2006-03-21 20:45:45 EST
Description of problem:
USB MP3 player produces many SCSI I/O errors when plugged in, does not automount
or appear as a desktop icon.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2054_FC5

How reproducible:
Everytime

Steps to Reproduce:
1. Plug in USB MP3 player
2. 
3.
  
Actual results:
Example error from /var/log/messages:

Mar 21 20:44:17 slacker kernel: sd 1:0:0:0: SCSI error: return code =
0x10070000Mar 21 20:44:17 slacker kernel: end_request: I/O error, dev sda, sector 64
Mar 21 20:44:17 slacker kernel: printk: 6 messages suppressed.


Expected results:

no SCSI errors, icon to appear on desktop.

Additional info:

This mp3 player SCSI error was fixed in FC4, bugzilla #176584.  It seems to have
returned in FC5.
Comment 1 Tom Georgoulias 2006-03-27 08:39:34 EST
I've applied the patch from bugzilla #176584 to the 2.6.15-1.2054 kernel and the
mp3 player works fine on FC5.
Comment 2 Pete Zaitcev 2006-03-27 10:48:36 EST
The patch for device 0x0420 is present in 2.6.16-git13, but not in 2.6.16.
I expect FC-5 to pick it automatically in next rebase.
Comment 3 Dave Jones 2006-04-25 00:24:38 EDT
added back for the fc5 update. (inadvertantly got dropped during the .16 rebase)

Note You need to log in before you can comment on or make changes to this bug.